Subject: [bug#54953] [PATCH] gnu: Add emacs-nano-theme

From: Maya <[email-masked]>
Date: Mon, 18 Apr 2022 13:52:47 +0000

> For the record, this space is for the commit message, which should be
> an explanation if needed (not needed for the addition of a package),
> and a ChangeLog.
Oh I am sorry, I didn't know that.

>You might want to simply write "Emacs theme defined by 7 faces"
I agree. If it is fine that the package now will not agree with upstream.

> I agree with Maxime.  Use "Nano Theme", "@code{nano-theme}" or simply
> "This package provides a theme that comes in two flavours".  I'm not
> sure whether we should add "consistent" -- it would suggest that other
> themes are inconsistent, which sure some of them might be but most
> don't strive to be.
I wouldn't call it that ("consistent") myself and I do agree that it sounds a bit weird, if it is, again, fine, that it will not agree with upstream, I will change it.

> Here too I would suggest @code{nano-theme} or this-theme.
It sounds better. However does it matter that it now will not match guix package name but match the emacs package name?

> "It is recommended to use a font with programming ligatures, such as
> @code{font-google-roboto}".  On that note, does Roboto have programming
> ligatures?
It sadly does not. But Roboto Mono Nerd is not packaged for guix and I haven't checked the license on their assets yet. I believe that Roboto Mono is recommended as a aesthetic matching font.

Best,
Maya.